package supermercati_con_vettori;

public class Prodotto {
	
	protected String codice;
	protected String descrizione;
	protected double costo;
	protected int punti;
	
	public Prodotto(){
		this("","",0,0);
	}
	
	public Prodotto(String cod, String descr, double cost, int n){
		this.codice = cod;
		this.descrizione = descr;
		this.costo = cost;
		this.punti = n;
	}
	
	public double getCosto() {
		return costo;
	}
	
	public int getPunti(){
		return punti;
	}

	
	// metodo ridefinito rispetto alla classe Object
	public String toString() {
		String s = "";
		s += "Codice: " + codice + "\n";
		s += "Descrizione: " + descrizione + "\n";
		s += "Costo: " + costo + "\n";
		s += "Punti: " + punti + "\n";
		return s;
	}

}
